API reference
Organization websites
10 management API operations for Organization websites.
/v1/institutions/{institution_id}/websites/planPreview Plan
GET/v1/institutions/{institution_id}/websitesListing
POST/v1/institutions/{institution_id}/websitesCreate
GET/v1/institutions/{institution_id}/websites/{project_id}Detail
POST/v1/institutions/{institution_id}/websites/{project_id}/resubmitResubmit
POST/v1/institutions/{institution_id}/websites/{project_id}/withdrawWithdraw
POST/v1/institutions/{institution_id}/websites/{project_id}/request-changesRequest Changes
POST/v1/institutions/{institution_id}/websites/{project_id}/rejectReject
POST/v1/institutions/{institution_id}/websites/{project_id}/approveApprove
GET/v1/projects/{project_id}/website-configurationApproved Website Configuration
POST/v1/institutions/{institution_id}/websites/plan
Preview Plan
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
application/jsonRequiredFields
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Validation: min length 2; max length 200 |
website | string | Yes | Validation: min length 8; max length 2048 |
connector_kind | string | No | Validation: pattern ^(taifa_connector|standard_oidc)$ |
connector_product | string | null | No | |
preview_digest | string | null | No | |
owner_person_id | string | Yes | Validation: min length 1 |
environment | string | Yes | Validation: pattern ^(staging|production)$ |
redirect_uris | string[] | No | Validation: max items 16 |
post_logout_redirect_uris | string[] | No | Validation: max items 16 |
backchannel_logout_uri | string | null | No | |
requested_scopes | string[] | Yes | Validation: min items 1; max items 3 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/websites
Listing
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 100 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites
Create
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredFields
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Validation: min length 2; max length 200 |
website | string | Yes | Validation: min length 8; max length 2048 |
connector_kind | string | No | Validation: pattern ^(taifa_connector|standard_oidc)$ |
connector_product | string | null | No | |
preview_digest | string | null | No | |
owner_person_id | string | Yes | Validation: min length 1 |
environment | string | Yes | Validation: pattern ^(staging|production)$ |
redirect_uris | string[] | No | Validation: max items 16 |
post_logout_redirect_uris | string[] | No | Validation: max items 16 |
backchannel_logout_uri | string | null | No | |
requested_scopes | string[] | Yes | Validation: min items 1; max items 3 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/websites/{project_id}
Detail
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites/{project_id}/resubmit
Resubmit
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredidentity__organization_websites__Resubmit
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Validation: min length 2; max length 200 |
website | string | Yes | Validation: min length 8; max length 2048 |
connector_kind | string | No | Validation: pattern ^(taifa_connector|standard_oidc)$ |
connector_product | string | null | No | |
preview_digest | string | null | No | |
owner_person_id | string | Yes | Validation: min length 1 |
environment | string | Yes | Validation: pattern ^(staging|production)$ |
redirect_uris | string[] | No | Validation: max items 16 |
post_logout_redirect_uris | string[] | No | Validation: max items 16 |
backchannel_logout_uri | string | null | No | |
requested_scopes | string[] | Yes | Validation: min items 1; max items 3 |
reason | string | Yes | Validation: min length 8; max length 500 |
expected_version | integer | Yes | Validation: minimum 1 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites/{project_id}/withdraw
Withdraw
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredTransition
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites/{project_id}/request-changes
Request Changes
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredDecision
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
decision_reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites/{project_id}/reject
Reject
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredDecision
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
decision_reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/websites/{project_id}/approve
Approve
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredTransition
| Field | Type | Required | Description |
|---|---|---|---|
expected_version | integer | Yes | Validation: minimum 1 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/projects/{project_id}/website-configuration
Approved Website Configuration
Current owners and owning Admins can read the exact approved client inputs.
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonApprovedWebsiteConfiguration
| Field | Type | Required | Description |
|---|---|---|---|
project_id | string | Yes | |
institution_id | string | Yes | |
proposal_id | string | Yes | |
version | integer | Yes | |
name | string | Yes | |
website | string | Yes | |
owner_person_id | string | Yes | |
environment | string | Yes | |
redirect_uris | string[] | Yes | |
post_logout_redirect_uris | string[] | Yes | |
backchannel_logout_uri | string | null | Yes | |
requested_scopes | string[] | Yes | |
connector_kind | string | null | No | |
site_origin | string | null | No | |
client_slug | string | null | No | |
client_plan | object | null | No | |
plan_version | integer | null | No | |
plan_digest | string | null | No |
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |